
%define __libtoolize    /bin/true

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %mdkversion == 200600
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname kdeutils %lib_major

%define epoch_kdelibs 30000000
%define epoch_arts 30000001

%define tpctl_arches %{ix86}

%define apm_arches %{ix86} ppc x86_64 amd64

%define disable_visibility 0

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdeutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:    3.4.2
Release:   	%mkrel 5
URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2

Source10:	kdeutils-3.2.3-kcmlaptoprc

Patch0:		kdeutils-3.0-ktimer_icons.patch.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch1:		kde-lib64updates.patch.bz2


Patch3:		kdeutils-3.2-fix-ark-servicemenu-action.patch.bz2

Patch4:		kdeutils-3.2-fix-kgpg-enscrypt.patch.bz2

Patch5:		kdeutils-3.2.3-fix-ark-open-recent-action.patch.bz2

Patch6:		kdeutils-3.2.3-fix-kdelirc-devices.patch.bz2

Patch7:		kdeutils-3.2.3-fix-kcharselect-applet.patch.bz2

Patch8:		kdelibs-3.2-remove-rpath.patch.bz2

Patch9:		kdeutils-3.2.3-fix-kgpg-mem-leak.patch.bz2

Patch10:	kdeutils-3.2.3-fix-kfloppy.patch.bz2

Patch11:	kdeutils-3.2.3-fix-kloppy-kde-bug-81545.patch.bz2

Patch12:	kdeutils-3.2.3-fix-kfloppy-progressbar.patch.bz2

Patch13:	kdeutils-3.2.3-fix-kfloppy-ext2-formating-devicename.patch.bz2


Patch15:	kdeutils-3.2.3-fix-kcalc-kde-bug-81485.patch.bz2

Patch16:	kdeutils-3.2.3-fix-kdf-background.patch.bz2


Patch18:	kdeutils-3.3.2-disable-visibility.patch.bz2



Patch24:	kdeutils-3.3.2-fix-kfloppy_udev.patch.bz2

Patch25:	kdeutils-3.4.2-diff-20050912.patch
Patch26:	kdeutils-3.4.2-floppy.patch

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandriva.com>

# To remove
Obsoletes:	kdeutils3.0 kdeutils3 kdf
Provides:	kdeutils3 kdf

#######################################TODO deprecated ? use acpid ?
%ifarch %{apm_arches}
# David 2.1-1mdk - For battery control
Requires:	apmd
%endif
 
BuildRequires:  XFree86-devel, kdelibs-devel >= 3.2-13mdk, libarts-devel >= 1.1, kdebase-devel, openssl-devel

%ifarch %{tpctl_arches}
BuildRequires:	libtpctl-devel, tpctl
%endif

Requires:	kdeutils-kedit = %version-%release
Requires:	kdeutils-kcalc = %version-%release
Requires:	kdeutils-ktimer = %version-%release
Requires:	kdeutils-kjots = %version-%release
Requires:	kdeutils-khexedit = %version-%release
Requires:	kdeutils-kfloppy = %version-%release
Requires:	kdeutils-kdf = %version-%release
Requires:	kdeutils-kdepasswd = %version-%release
Requires:	kdeutils-kcharselect = %version-%release
Requires:	kdeutils-ark = %version-%release
Requires:	%lib_name-common = %version-%release
Requires:	kdeutils-kdessh = %version-%release
Requires:	kdeutils-ksim = %version-%release
Requires:	kdeutils-common = %version-%release
Requires:	kdeutils-klaptop = %version-%release


%if %mdkversion >= 920
BuildRequires: automake1.7
BuildRequires: libnet-snmp-devel
%endif

BuildRequires: autoconf2.5

%description
Utilities for the K Desktop Environment.
	- ark: manager for compressed files and archives
	- kcalc: scientific calculator
	- kcharselect: select special characters from any fonts 
			and put them into the clipboard
	- charselectapplet: dito, but as a Kicker applet
	- kcardtools:
	- kdepasswd: like 'passwd', a graphical password changer
	- kdessh: front end to ssh
	- kdf: like 'df', a graphical free disk space viewer
	- kedit: a simple text editor, without formatting like bold, italics etc
	- kfloppy: format a floppy disks with this app
	- khexedit: binary file editor
	- kjots: manages several "books" with a subject and notes
	- klaptopdaemon: battery and power management, including KControl plugins
	- kregexpeditor: graphical regular expression editor
	- ktimer: execute programs after some time

%package klaptop
Summary:	Battery and power management
Group:		Graphical desktop/KDE
Requires:	%lib_name-klaptop = %version-%release
Obsoletes:	kdeutils <= 3.1
Provides:	klaptop
URL:        http://www.kde.org/
Requires:	cpufreq
%ifarch %{tpctl_arches}
Requires:	tpctl
%endif

%description klaptop
Battery and power management, including KControl plugins.


%package -n %lib_name-klaptop
Summary:	Library for klaptop
Group:		Graphical desktop/KDE
URL:        http://www.kde.org/

%description -n %lib_name-klaptop
Librairy for klaptop.

%package -n %lib_name-klaptop-devel
Summary:	Devel for klaptop
Group:		Graphical desktop/KDE
Requires:	%lib_name-klaptop = %version-%release
URL:        http://www.kde.org/

%description -n %lib_name-klaptop-devel
Devel for klaptop.


%package common
Summary:	Kdeutils common files
Group:		Graphical desktop/KDE
Requires:	%lib_name-common = %version-%release
Obsoletes:	kdeutils <= 3.1
Provides:	kdeutils = %version-%release
URL:        http://www.kde.org/

%description common
Kdeutils common files

%package ktimer
Summary:	Ktimer program
Group:		Graphical desktop/KDE
Provides:	ktimer
URL:        http://www.kde.org/

%description ktimer
Ktimer allows to execute programs after some time


%package kdessh
Summary:	Kdessh program
Group:		Graphical desktop/KDE
Provides:	kdessh
URL:        http://www.kde.org/

%description kdessh
Front end to ssh


%package kjots
Summary:	Kjots program
Group:		Graphical desktop/KDE
Provides:	kjots, Kjots
URL:        http://www.kde.org/

%description kjots
Manages several "books" with a subject and notes



%package kdepasswd
Summary:	Kdepasswd program
Group:		Graphical desktop/KDE
Provides:	kdepasswd
URL:        http://www.kde.org/

%description kdepasswd
Like 'passwd', a graphical password changer



%package kfloppy
Summary:	Kfloppy program
Group:		Graphical desktop/KDE
Requires:	dosfstools
Provides:	kfloppy
URL:        http://www.kde.org/

%description kfloppy
Kfloppy allows to format a floppy disks with this app



%package kdf
Summary:	Kdf program
Group:		Graphical desktop/KDE
Provides:	kdf
URL:        http://www.kde.org/

%description kdf
Like 'df', a graphical free disk space viewer


%package kcharselect
Summary:	Kcharselect program
Group:		Graphical desktop/KDE
Provides:	kcharselect
URL:        http://www.kde.org/

%description kcharselect
Kcharselect allows to select special characters from any fonts and put them into the clipboard



%package khexedit
Summary:	Khexedit program
Group:		Graphical desktop/KDE
Provides:	khexedit
URL:        http://www.kde.org/
Requires:	%lib_name-khexedit = %version

%description khexedit
A binary file editor


%package -n %lib_name-khexedit
Summary:	Khexedit librairie
Group:		Graphical desktop/KDE
Provides:	khexedit
URL:        http://www.kde.org/

%description -n %lib_name-khexedit
Librairie for file editor

%package -n %lib_name-khexedit-devel
Summary:	Devel files for Khexedit
Group:		Graphical desktop/KDE
Provides:	khexedit
URL:        http://www.kde.org/
Requires:	%lib_name-khexedit = %version

%description -n %lib_name-khexedit-devel
Devel files for file editor



%package kedit
Summary:	Kedit program
Group:		Graphical desktop/KDE
Requires:	%lib_name-kedit = %version-%release
Provides:	kedit
URL:        http://www.kde.org/

%description kedit
A simple text editor, without formatting like bold, italics etc.


%package -n %lib_name-kedit
Summary:	Librairies for kedit program
Group:		Development/KDE and Qt
Provides:	%lib_name_orig-kedit = 1:%version-%release


%description -n %lib_name-kedit
Librairies for kedit program


%package ark
Summary:	Ark program
Group:		Graphical desktop/KDE
Requires:	%lib_name-ark = %version-%release
Provides:	ark
URL:        http://www.kde.org/
Requires:	zip	

%description ark
Manager for compressed files and archives



%package -n %lib_name-ark
Summary:	Libraries for Ark program
Group:		Development/KDE and Qt
Provides:	%lib_name_orig-ark = 1:%version-%release
URL:        http://www.kde.org/

%description -n %lib_name-ark
Librairie for ark program


%package kcalc
Summary:	Kcalc program
Group:		Graphical desktop/KDE
Requires:	%lib_name-kcalc = %version-%release
Provides:	kcalc
URL:        http://www.kde.org/

%description kcalc
A scientific calculator


%package -n %lib_name-kcalc
Summary:	Librairies for Kcalc program
Group:		Development/KDE and Qt
Provides:	%lib_name_orig-kcalc = 1:%version-%release
URL:        http://www.kde.org/

%description -n %lib_name-kcalc
Librairie for Kcalc program



%package -n %lib_name-common-devel
Summary:	Header files for kdeutils
Group:		Development/KDE and Qt
Requires:	%lib_name-common
URL:        http://www.kde.org/
Obsoletes:  kdeutils3-devel, kdeutils-devel < 3.1
Provides:   kdeutils3-devel, kdeutils-devel

Obsoletes:  %lib_name-devel < 3.1 
Provides:   %lib_name-devel = %version-%release



%description -n %lib_name-common-devel
Headers files for kdeutils.



%package -n %lib_name-common
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt
Obsoletes:	%lib_name < 3.1
Provides:	%lib_name = %version-%release
URL:        http://www.kde.org/

%description -n %lib_name-common
Libraries files for kdeutils.


%package ksim
Summary:	Ksim program
Group:		Graphical desktop/KDE
Requires:	%lib_name-ksim = %version-%release
Provides:	ksim
URL:        http://www.kde.org/

%description ksim
Ksim program


%package kgpg
Summary:	Kgpg Frontend for gpg.
Group:		Graphical desktop/KDE
Provides:	kgpg
Obsoletes:	kgpg
URL:        http://www.kde.org/

%description kgpg
kgpg is a simple, free, open source KDE frontend for gpg.

%package kwalletmanager
Summary:    kwalletmanager program
Group:      Graphical desktop/KDE
Provides:   kwalletmanager
URL:        http://www.kde.org/

%description kwalletmanager
Kwalletmanager program



%package -n %lib_name-ksim-devel
Summary:	Header files for ksim
Group:		Development/KDE and Qt
Requires:	%lib_name-ksim = %version-%release
URL:        http://www.kde.org/

%description -n %lib_name-ksim-devel
Headers files for ksim program.



%package -n %lib_name-ksim
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt
Provides:	%lib_name_orig-ksim = 1:%version-%release
URL:        http://www.kde.org/

%description -n %lib_name-ksim
Libraries files for ksim.




%prep
%setup  -q 
%patch0 -p1

#DIsable it
#%patch6 -p1 -b .fix_lirc_device

%patch8 -p1 -b .fix_remove_rpath

############""REAPPLY
#%patch16 -p1 -b .fix_kdf_background


%if %disable_visibility
%patch18 -p1 -b .disable_visibility
%endif


##################REAPPLY
#%patch24 -p1 -b .fix_floppy_udev

%patch25 -p1 -b .diff_kde_3_4_2

%patch26 -p1 -b .fix_kfloppy

%build
%if %mdkversion >= 920
make -f admin/Makefile.common cvs
%endif

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

%{?__cputoolize: %{__cputoolize} }


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure --build=%_target_platform \
		    --host=%_target_platform \
			--enable-new-ldflags \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
					--disable-embedded \
					--disable-palmtop \
                    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif			
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create MDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kdeutils-kedit "More Applications/Editors" %buildroot/%_datadir/applications/kde/KEdit.desktop %buildroot/%_menudir/kdeutils-kedit kde
kdedesktop2mdkmenu.pl kdeutils-common System/Configuration/KDE/Information %buildroot/%_datadir/applications/kde/kcmdf.desktop %buildroot/%_menudir/kdeutils-kcmdf kde
kdedesktop2mdkmenu.pl kdeutils-klaptop System/Configuration/KDE/Information %buildroot/%_datadir/applications/kde/pcmcia.desktop %buildroot/%_menudir/kdeutils-pcmcia kde
kdedesktop2mdkmenu.pl kdeutils-klaptop System/Configuration/KDE/PowerControl %buildroot/%_datadir/applications/kde/laptop.desktop %buildroot/%_menudir/kdeutils-laptop kde
#kdedesktop2mdkmenu.pl kdeutils-kdepasswd Configuration/Other %buildroot/%_datadir/applications/kde/kdepasswd.desktop %buildroot/%_menudir/kdeutils-kdepasswd kde
kdedesktop2mdkmenu.pl kdeutils-kdf System/Monitoring %buildroot/%_datadir/applications/kde/kdf.desktop %buildroot/%_menudir/kdeutils-kdf
kdedesktop2mdkmenu.pl kdeutils-kdf System/Monitoring %buildroot/%_datadir/applications/kde/kwikdisk.desktop %buildroot/%_menudir/kdeutils-kwikdisk kde
kdedesktop2mdkmenu.pl kdeutils-ark System/Archiving/Compression %buildroot/%_datadir/applications/kde/ark.desktop %buildroot/%_menudir/kdeutils-ark
kdedesktop2mdkmenu.pl kdeutils-kcalc Office/Accessories %buildroot/%_datadir/applications/kde/kcalc.desktop %buildroot/%_menudir/kdeutils-kcalc
kdedesktop2mdkmenu.pl kdeutils-kcharselect Office/Accessories %buildroot/%_datadir/applications/kde/KCharSelect.desktop %buildroot/%_menudir/kdeutils-kcharselect
kdedesktop2mdkmenu.pl kdeutils-kfloppy System/Configuration/Hardware %buildroot/%_datadir/applications/kde/KFloppy.desktop %buildroot/%_menudir/kdeutils-kfloppy
kdedesktop2mdkmenu.pl kdeutils-khexedit "More Applications/Editors" %buildroot/%_datadir/applications/kde/khexedit.desktop %buildroot/%_menudir/kdeutils-khexedit
kdedesktop2mdkmenu.pl kdeutils-kjots Office/Accessories %buildroot/%_datadir/applications/kde/Kjots.desktop %buildroot/%_menudir/kdeutils-kjots
kdedesktop2mdkmenu.pl kdeutils-ktimer Office/Time\ management %buildroot/%_datadir/applications/kde/ktimer.desktop %buildroot/%_menudir/kdeutils-ktimer kde


kdedesktop2mdkmenu.pl kdeutils-klaptop System/Configuration/KDE/Peripherals %buildroot/%_datadir/applications/kde/kvaio.desktop %buildroot/%_menudir/kdeutils-kavio kde

kdedesktop2mdkmenu.pl kdeutils-klaptop System/Configuration/KDE/Peripherals %buildroot/%_datadir/applications/kde/thinkpad.desktop %buildroot/%_menudir/kdeutils-thinkpad kde

kdedesktop2mdkmenu.pl kdeutils-kwalletmanager System/Configuration/KDE/Security %buildroot/%_datadir/applications/kde/kwalletconfig.desktop %buildroot/%_menudir/kdeutils-kwalletconfig kde
kdedesktop2mdkmenu.pl kdeutils-kwalletmanager System/Configuration/Other %buildroot/%_datadir/applications/kde/kwalletconfig.desktop %buildroot/%_menudir/kdeutils-kwalletmanager kde

kdedesktop2mdkmenu.pl kdeutils-common System/Configuration/KDE/Peripherals %buildroot/%_datadir/applications/kde/kcmlirc.desktop %buildroot/%_menudir/kdeutils-kcmlirc kde

kdedesktop2mdkmenu.pl kdeutils-common System/Configuration/Other %buildroot/%_datadir/applications/kde/irkick.desktop  %buildroot/%_menudir/kdeutils-irkick kde

kdedesktop2mdkmenu.pl kdeutils-common "More Applications/Editors" %buildroot/%_datadir/applications/kde/kregexpeditor.desktop %buildroot/%_menudir/kdeutils-kregexpeditor kde
perl -pi -e "s|kregexpeditor.png|editors_section.png|" %buildroot/%_menudir/kdeutils-kregexpeditor

kdedesktop2mdkmenu.pl kdeutils-kgpg System/Configuration/Other %buildroot/%_datadir/applications/kde/kgpg.desktop %buildroot/%_menudir/kdeutils-kgpg

kdedesktop2mdkmenu.pl kdeutils-kwalletmanager System/Configuration/Other %buildroot/%_datadir/applications/kde/kwalletmanager-kwalletd.desktop %buildroot/%_menudir/kdeutils-kwalletmanager-kwalletd

#kdedesktop2mdkmenu.pl kdeutils-kdepasswd Configuration/KDE/System %buildroot/%_datadir/applications/kde/userinfo.desktop %buildroot/%_menudir/kdeutils-userinfo kde

#kdedesktop2mdkmenu.pl kdeutils-kim Applications/Monitoring %buildroot/%_datadir/applications/kde/ksim.desktop %buildroot/%_menudir/kdeutils-ksim




install -m 0644 %SOURCE10 %buildroot/%_datadir/config/kcmlaptoprc

chmod 2755 %buildroot/%_bindir/klaptop_acpi_helper
export EXCLUDE_FROM_STRIP=klaptop_acpi_helper

# Link KDM images directory to faces directory
rm -fr %buildroot/%_datadir/apps/kdm/pics/users/


%post common
/sbin/ldconfig
%update_menus


%postun common
/sbin/ldconfig
%clean_menus


%post kedit
/sbin/ldconfig
%update_menus


%postun kedit
/sbin/ldconfig
%clean_menus

%post ksim
/sbin/ldconfig
%update_menus


%postun ksim
/sbin/ldconfig
%clean_menus

%post klaptop
/sbin/ldconfig
%update_menus


%postun klaptop
/sbin/ldconfig
%clean_menus


%post -n %lib_name-klaptop -p /sbin/ldconfig

%postun -n %lib_name-klaptop -p /sbin/ldconfig


%post -n %lib_name-ksim -p /sbin/ldconfig

%postun -n %lib_name-ksim -p /sbin/ldconfig


%post kdessh
%update_menus


%postun kdessh
%clean_menus

%post khexedit
/sbin/ldconfig
%update_menus


%postun khexedit
/sbin/ldconfig
%clean_menus


%post ktimer
/sbin/ldconfig
%update_menus


%postun ktimer
/sbin/ldconfig
%clean_menus


%post ark
/sbin/ldconfig
%update_menus


%postun ark
/sbin/ldconfig
%clean_menus

%post kcalc
/sbin/ldconfig
%update_menus


%postun kcalc
/sbin/ldconfig
%clean_menus

%post kdf
/sbin/ldconfig
%update_menus


%postun kdf
/sbin/ldconfig
%clean_menus

%post kcharselect
/sbin/ldconfig
%update_menus


%postun kcharselect
/sbin/ldconfig
%clean_menus

%post kfloppy
/sbin/ldconfig
%update_menus


%postun kfloppy
/sbin/ldconfig
%clean_menus

%post kdepasswd
/sbin/ldconfig
%update_menus


%postun kdepasswd
/sbin/ldconfig
%clean_menus

%post kjots
/sbin/ldconfig
%update_menus


%postun kjots
/sbin/ldconfig
%clean_menus


%post kwalletmanager
/sbin/ldconfig
%update_menus


%postun kwalletmanager
/sbin/ldconfig
%clean_menus


%post kgpg
/sbin/ldconfig
%update_menus


%postun kgpg
/sbin/ldconfig
%clean_menus

%post -n %lib_name-kcalc -p /sbin/ldconfig

%postun -n %lib_name-kcalc -p /sbin/ldconfig

%post -n %lib_name-khexedit -p /sbin/ldconfig

%postun -n %lib_name-khexedit -p /sbin/ldconfig


%post -n %lib_name-kedit -p /sbin/ldconfig

%postun -n %lib_name-kedit -p /sbin/ldconfig


%post -n %lib_name-ark -p /sbin/ldconfig

%postun -n %lib_name-ark -p /sbin/ldconfig


%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig


%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p /sbin/ldconfig




%clean
rm -fr %buildroot/

%files


%files klaptop
%defattr(-,root,root)
%attr(-,root,nogroup) %_bindir/klaptop_acpi_helper
%_bindir/klaptop_check

%_datadir/icons/crystalsvg/scalable/apps/laptop_battery.svgz

#%_datadir/applications/kde/laptop.desktop
#%_datadir/applications/kde/pcmcia.desktop

%_datadir/config/kcmlaptoprc

%dir %_datadir/apps/klaptopdaemon/
%dir %_datadir/apps/klaptopdaemon/icons/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/services/kded/
%_datadir/services/kded/klaptopdaemon.desktop
%_datadir/services/kded/kmilod.desktop


%_datadir/services/kmilo/kmilo_asus.desktop
%_datadir/services/kmilo/kmilo_delli8k.desktop

%dir %_datadir/services/kmilo/
%_datadir/services/kmilo/kmilo_generic.desktop
%_datadir/services/kmilo/kmilo_kvaio.desktop

%dir %_datadir/servicetypes/kmilo/
%_datadir/servicetypes/kmilo/kmilopluginsvc.desktop
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/laptop_battery.png
%_iconsdir/crystalsvg/16x16/apps/laptop_pcmcia.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/laptop_battery.png
%_iconsdir/crystalsvg/32x32/apps/laptop_pcmcia.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/laptop_battery.png
%_iconsdir/crystalsvg/48x48/apps/laptop_pcmcia.png

%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/laptop_battery.png

%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/laptop_battery.png

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmlowbatcrit/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.bz2


%dir %_docdir/HTML/en/kcontrol/kcmlowbatwarn/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.bz2

%dir %_docdir/HTML/en/kcontrol/laptop/
%doc %_docdir/HTML/en/kcontrol/laptop/common
%doc %_docdir/HTML/en/kcontrol/laptop/*.docbook
%doc %_docdir/HTML/en/kcontrol/laptop/*.bz2

%dir %_docdir/HTML/en/kcontrol/powerctrl/
%doc %_docdir/HTML/en/kcontrol/powerctrl/common
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.docbook
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.bz2


%_datadir/applications/kde/kvaio.desktop
%_datadir/applications/kde/laptop.desktop
%_datadir/applications/kde/pcmcia.desktop

%_menudir/kdeutils-laptop
%_menudir/kdeutils-pcmcia
%_menudir/kdeutils-kavio
%_menudir/kdeutils-thinkpad

%files -n %lib_name-klaptop
%defattr(-,root,root)

%_libdir/kde3/kded_klaptopdaemon.la
%_libdir/kde3/kded_klaptopdaemon.so
%_libdir/kde3/kded_kmilod.la
%_libdir/kde3/kded_kmilod.so
%_libdir/kde3/kmilo_generic.la
%_libdir/kde3/kmilo_generic.so
%_libdir/kde3/kmilo_kvaio.la
%_libdir/kde3/kmilo_kvaio.so
%_libdir/kde3/kcm_thinkpad.la
%_libdir/kde3/kcm_thinkpad.so
%_libdir/kde3/kmilo_thinkpad.la
%_libdir/kde3/kmilo_thinkpad.so

%_libdir/kde3/kmilo_asus.la
%_libdir/kde3/kmilo_asus.so
%_libdir/kde3/kmilo_delli8k.la
%_libdir/kde3/kmilo_delli8k.so

%_libdir/kde3/kcm_kvaio.la
%_libdir/kde3/kcm_kvaio.so

%_libdir/libkcmlaptop.la
%_libdir/libkcmlaptop.so.*
%_libdir/libkmilo.la
%_libdir/libkmilo.so.*

%_libdir/kde3/kcm_laptop.so
%_libdir/kde3/kcm_laptop.la

%files -n %lib_name-klaptop-devel
%defattr(-,root,root)
%_libdir/libkcmlaptop.so
%_libdir/libkmilo.so



%files common
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#

%_datadir/applications/kde/irkick.desktop       
%_datadir/applications/kde/kregexpeditor.desktop  
%_datadir/applications/kde/kcmlirc.desktop      
%_menudir/kdeutils-kcmlirc
%_menudir/kdeutils-irkick
%_menudir/kdeutils-kregexpeditor

%_datadir/icons/crystalsvg/128x128/apps/kregexpeditor.png
%_datadir/icons/crystalsvg/16x16/apps/kregexpeditor.png
%_datadir/icons/crystalsvg/32x32/apps/kregexpeditor.png
%_datadir/icons/crystalsvg/48x48/apps/kregexpeditor.png
%_datadir/icons/crystalsvg/64x64/apps/kregexpeditor.png





%dir %_docdir/HTML/en/kinfocenter/blockdevices/
%doc %_docdir/HTML/en/kinfocenter/blockdevices/common
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.docbook
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.bz2


%dir %_docdir/HTML/en/kcmlirc/
%doc %_docdir/HTML/en/kcmlirc/common
%doc %_docdir/HTML/en/kcmlirc/*.bz2
%doc %_docdir/HTML/en/kcmlirc/*.docbook

%dir %_docdir/HTML/en/irkick/
%doc %_docdir/HTML/en/irkick/common
%doc %_docdir/HTML/en/irkick/*.bz2
%doc %_docdir/HTML/en/irkick/*.docbook


#
#
%dir %_docdir/HTML/en/KRegExpEditor/
%doc %_docdir/HTML/en/KRegExpEditor/common
%doc %_docdir/HTML/en/KRegExpEditor/*.docbook
%doc %_docdir/HTML/en/KRegExpEditor/*.bz2
%doc %_docdir/HTML/en/KRegExpEditor/*.png
#
#
# Laurent - 2.2-6mdk - efax, efix and fax man pages are provided by efax package
#%doc %_mandir/man1/efax.1.*
#%doc %_mandir/man1/efix.1.*
#%doc %_mandir/man1/fax.1.*
#
#
#
# Laurent - 2.2-6mdk - %%_bindir/efax, %%_bindir/efix and %%_bindir/fax are
#                      provided by efax package
#%_bindir/efax
#%_bindir/efix
#%_bindir/fax
#%_bindir/kab


%_bindir/kregexpeditor
%_bindir/irkick

%_libdir/kde3/irkick.la
%_libdir/kde3/irkick.so
%_libdir/kde3/kcm_kcmlirc.la
%_libdir/kde3/kcm_kcmlirc.so



%dir %_datadir/apps/irkick/
%dir %_datadir/apps/irkick/icons/
%dir %_datadir/apps/irkick/icons/hicolor/
%dir %_datadir/apps/irkick/icons/hicolor/16x16/
%dir %_datadir/apps/irkick/icons/hicolor/16x16/actions/
%_datadir/apps/irkick/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/irkick/icons/hicolor/32x32/
%dir %_datadir/apps/irkick/icons/hicolor/32x32/actions/
%_datadir/apps/irkick/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/profiles/
%_datadir/apps/profiles/*.xml
%_datadir/apps/profiles/*.dtd

%dir %_datadir/apps/remotes/
%_datadir/apps/remotes/*.xml
%_datadir/apps/remotes/*.dtd
   
%_datadir/autostart/irkick.desktop

#
#
#


%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
#
#
%ifarch %{apm_arches}


%_datadir/applications/kde/thinkpad.desktop

%_datadir/services/kmilo/kmilo_thinkpad.desktop



#
%endif
#
#
#
%dir %_datadir/apps/kregexpeditor/
%dir %_datadir/apps/kregexpeditor/pics/
%_datadir/apps/kregexpeditor/pics/*.png
#
%dir %_datadir/apps/kregexpeditor/predefined/
%dir %_datadir/apps/kregexpeditor/predefined/general/
%_datadir/apps/kregexpeditor/predefined/general/*.regexp
#
#
#
%dir %_datadir/services/
#%_datadir/services/klaptopdaemon.desktop
%_datadir/services/kregexpeditorgui.desktop
#
#

#

%_iconsdir/hicolor/16x16/apps/irkick.png
%_iconsdir/hicolor/22x22/apps/irkick.png
%_iconsdir/hicolor/32x32/apps/irkick.png
%_iconsdir/locolor/16x16/apps/irkick.png
%_iconsdir/locolor/32x32/apps/irkick.png


%files kwalletmanager
%defattr(-,root,root)
%_bindir/kwalletmanager
%_menudir/kdeutils-kwalletconfig
%_menudir/kdeutils-kwalletmanager
%_menudir/kdeutils-kwalletmanager-kwalletd

%_datadir/applications/kde/kwalletmanager-kwalletd.desktop

%dir %_docdir/HTML/en/kwallet
%doc %_docdir/HTML/en/kwallet/common
%doc %_docdir/HTML/en/kwallet/*.bz2
%doc %_docdir/HTML/en/kwallet/*.docbook
									 

%_datadir/applications/kde/kwalletconfig.desktop
%_datadir/applications/kde/kwalletmanager.desktop

%_libdir/kde3/kcm_kwallet.la
%_libdir/kde3/kcm_kwallet.so

%_datadir/services/kwallet_config.desktop
%_datadir/services/kwalletmanager_show.desktop

%dir %_datadir/apps/kwalletmanager/
%dir %_datadir/apps/kwalletmanager/icons/
%dir %_datadir/apps/kwalletmanager/icons/crystalsvg/
%dir %_datadir/apps/kwalletmanager/icons/crystalsvg/22x22/
%dir %_datadir/apps/kwalletmanager/icons/crystalsvg/22x22/actions/
%_datadir/apps/kwalletmanager/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kwalletmanager/*.rc

%_datadir/icons/crystalsvg/16x16/apps/kwalletmanager.png
%_datadir/icons/crystalsvg/22x22/apps/kwalletmanager.png
%_datadir/icons/crystalsvg/32x32/apps/kwalletmanager.png
%_datadir/icons/crystalsvg/48x48/apps/kwalletmanager.png
%_datadir/icons/crystalsvg/64x64/apps/kwalletmanager.png
%_datadir/icons/crystalsvg/128x128/apps/kwalletmanager.png

%files kgpg
%defattr(-,root,root)
%_bindir/kgpg

%_datadir/applications/kde/kgpg.desktop           

%_menudir/kdeutils-kgpg

%_datadir/config.kcfg/kgpg.kcfg

%dir %_datadir/apps/kgpg/
%dir %_datadir/apps/kgpg/icons/
%dir %_datadir/apps/kgpg/icons/crystalsvg/
%dir %_datadir/apps/kgpg/icons/crystalsvg/16x16/
%dir %_datadir/apps/kgpg/icons/crystalsvg/16x16/actions/
%_datadir/apps/kgpg/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kgpg/icons/crystalsvg/22x22/
%dir %_datadir/apps/kgpg/icons/crystalsvg/22x22/actions/
%_datadir/apps/kgpg/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kgpg/*.rc
%_datadir/apps/kgpg/tips

%dir %_datadir/apps/kgpg/pics/
%_datadir/apps/kgpg/pics/*.gif
%_datadir/apps/kgpg/pics/*.png

%_datadir/icons/crystalsvg/16x16/apps/kgpg.png
%_datadir/icons/crystalsvg/22x22/apps/kgpg.png
%_datadir/icons/crystalsvg/32x32/apps/kgpg.png
%_datadir/icons/crystalsvg/48x48/apps/kgpg.png

%dir %_docdir/HTML/en/kgpg/
%doc %_docdir/HTML/en/kgpg/common
%doc %_docdir/HTML/en/kgpg/*.docbook
%doc %_docdir/HTML/en/kgpg/*.bz2
%doc %_docdir/HTML/en/kgpg/*.png

%_datadir/autostart/kgpg.desktop
%_datadir/apps/konqueror/servicemenus/encryptfile.desktop
%_datadir/apps/konqueror/servicemenus/encryptfolder.desktop


%files ksim
%defattr(-,root,root)

%_datadir/applications/kde/ksim.desktop
#%_menudir/kdeutils-ksim
%_libdir/kde3/ksim_panelextension.la
%_libdir/kde3/ksim_panelextension.so


%_libdir/kde3/ksim_cpu.la  
%_libdir/kde3/ksim_disk.la  
%_libdir/kde3/ksim_filesystem.la
%_libdir/kde3/ksim_net.la  
%_libdir/kde3/ksim_sensors.la
%_libdir/kde3/ksim_snmp.la

%_libdir/kde3/ksim_cpu.so
%_libdir/kde3/ksim_disk.so
%_libdir/kde3/ksim_filesystem.so
%_libdir/kde3/ksim_net.so
%_libdir/kde3/ksim_sensors.so
%_libdir/kde3/ksim_snmp.so

%_datadir/apps/kicker/extensions/ksim.desktop

%dir %_datadir/apps/ksim
%dir %_datadir/apps/ksim/monitors/
%_datadir/apps/ksim/monitors/*.desktop
%dir %_datadir/apps/ksim/pics/
%_datadir/apps/ksim/pics/*.png
%dir %_datadir/apps/ksim/themes/
%dir %_datadir/apps/ksim/themes/ksim/
%_datadir/apps/ksim/themes/ksim/*.png
%_datadir/apps/ksim/themes/ksim/gkrellmrc*
%dir %_datadir/apps/ksim/themes/ksim/host/
%_datadir/apps/ksim/themes/ksim/host/*.png

%dir %_datadir/apps/ksim/themes/ksim/mail/
%_datadir/apps/ksim/themes/ksim/mail/*.png

%dir %_datadir/apps/ksim/themes/ksim/net/
%_datadir/apps/ksim/themes/ksim/net/*.png

%_datadir/config/ksim_panelextensionrc

%dir %_docdir/HTML/en/ksim/
%doc %_docdir/HTML/en/ksim/common
%doc %_docdir/HTML/en/ksim/*.docbook
%doc %_docdir/HTML/en/ksim/*.bz2


%_iconsdir/crystalsvg/16x16/apps/ksim.png
%_iconsdir/crystalsvg/16x16/devices/ksim_cpu.png

%_iconsdir/crystalsvg/32x32/apps/ksim.png
%_iconsdir/crystalsvg/48x48/apps/ksim.png

%files -n %lib_name-ksim
%defattr(-,root,root)
%_libdir/libksimcore.la*
%_libdir/libksimcore.so.*


%files -n %lib_name-ksim-devel
%defattr(-,root,root,-)
%dir %_includedir/ksim/
%_includedir/ksim/*.h
%_libdir/libksimcore.so



%files kdessh
%defattr(-,root,root)
%_bindir/kdessh


%files kjots
%defattr(-,root,root)
%dir %_docdir/HTML/en/kjots/
%doc %_docdir/HTML/en/kjots/common
%doc %_docdir/HTML/en/kjots/*.docbook
%doc %_docdir/HTML/en/kjots/*.bz2

%_menudir/kdeutils-kjots

%_bindir/kjots
%dir %_datadir/apps/kjots/
%dir %_datadir/apps/kjots/pics/
%_datadir/apps/kjots/pics/*.png

%_datadir/apps/kjots/*.rc
%_datadir/applications/kde/Kjots.desktop          


%_iconsdir/crystalsvg/16x16/apps/kjots.png
%_iconsdir/crystalsvg/32x32/apps/kjots.png
%_iconsdir/crystalsvg/48x48/apps/kjots.png
%_iconsdir/crystalsvg/64x64/apps/kjots.png

%_datadir/config.kcfg/kjots.kcfg


%files kdepasswd
%defattr(-,root,root)
#%_bindir/kdepasswd
#%_datadir/applications/kde/kdepasswd.desktop    

#%_menudir/kdeutils-kdepasswd
#%_libdir/kde3/kcm_userinfo.la
#%_libdir/kde3/kcm_userinfo.so
#%_datadir/applications/kde/userinfo.desktop
#%_menudir/kdeutils-userinfo

%files kfloppy
%defattr(-,root,root)
%dir %_docdir/HTML/en/kfloppy/
%doc %_docdir/HTML/en/kfloppy/common
%doc %_docdir/HTML/en/kfloppy/*.docbook
%doc %_docdir/HTML/en/kfloppy/*.bz2

%_menudir/kdeutils-kfloppy

%_bindir/kfloppy
%_datadir/applications/kde/KFloppy.desktop        


%_iconsdir/crystalsvg/128x128/apps/kfloppy.png
%_iconsdir/crystalsvg/16x16/apps/kfloppy.png
%_iconsdir/crystalsvg/32x32/apps/kfloppy.png
%_iconsdir/crystalsvg/48x48/apps/kfloppy.png
%_iconsdir/crystalsvg/64x64/apps/kfloppy.png

%files kcharselect
%defattr(-,root,root)
%dir %_docdir/HTML/en/kcharselect/
%doc %_docdir/HTML/en/kcharselect/common
%doc %_docdir/HTML/en/kcharselect/*.docbook
%doc %_docdir/HTML/en/kcharselect/*.bz2
%_bindir/kcharselect


%_datadir/apps/kcharselect/kcharselectui.rc

%_menudir/kdeutils-kcharselect

%_datadir/applications/kde/KCharSelect.desktop  

%_iconsdir/crystalsvg/16x16/apps/kcharselect.png
%_iconsdir/crystalsvg/48x48/apps/kcharselect.png

%_datadir/apps/kconf_update/kcharselect.upd

%files ktimer
%defattr(-,root,root)
%dir %_docdir/HTML/en/ktimer/
%doc %_docdir/HTML/en/ktimer/common
%doc %_docdir/HTML/en/ktimer/*.docbook
%doc %_docdir/HTML/en/ktimer/*.bz2
%_bindir/ktimer
%_datadir/applications/kde/ktimer.desktop

%_menudir/kdeutils-ktimer

%_datadir/icons/crystalsvg/128x128/apps/ktimer.png
%_datadir/icons/crystalsvg/16x16/apps/ktimer.png
%_datadir/icons/crystalsvg/32x32/apps/ktimer.png
%_datadir/icons/crystalsvg/48x48/apps/ktimer.png

%files kdf
%defattr(-,root,root)
%dir %_docdir/HTML/en/kdf/
%doc %_docdir/HTML/en/kdf/common
%doc %_docdir/HTML/en/kdf/*.docbook
%doc %_docdir/HTML/en/kdf/*.png
%doc %_docdir/HTML/en/kdf/*.bz2
%_bindir/kdf
%_bindir/kwikdisk

%_datadir/icons/crystalsvg/22x22/apps/kwikdisk.png

%_menudir/kdeutils-kdf
%_menudir/kdeutils-kcmdf
%_menudir/kdeutils-kwikdisk



%_datadir/apps/kdf/*.rc

%_libdir/kde3/kcm_kdf.so
%_libdir/kde3/kcm_kdf.la

%_iconsdir/crystalsvg/128x128/apps/kdf.png
%_iconsdir/crystalsvg/16x16/apps/kdf.png
%_iconsdir/crystalsvg/16x16/apps/kcmdf.png
%_iconsdir/crystalsvg/16x16/apps/kwikdisk.png

%_iconsdir/crystalsvg/32x32/apps/kdf.png
%_iconsdir/crystalsvg/32x32/apps/kcmdf.png
%_iconsdir/crystalsvg/32x32/apps/kwikdisk.png

%_iconsdir/crystalsvg/48x48/apps/kdf.png
%_iconsdir/crystalsvg/64x64/apps/kdf.png
%_iconsdir/crystalsvg/48x48/apps/kwikdisk.png
%_iconsdir/crystalsvg/64x64/apps/kwikdisk.png
%_iconsdir/crystalsvg/128x128/apps/kwikdisk.png

%dir %_datadir/apps/kdf/
%dir %_datadir/apps/kdf/pics/
%_datadir/apps/kdf/pics/*.png
%_datadir/applications/kde/kdf.desktop          
%_datadir/applications/kde/kwikdisk.desktop
%_datadir/applications/kde/kcmdf.desktop 

%files -n %lib_name-khexedit
%defattr(-,root,root)
%_libdir/kde3/libkhexedit2part.la
%_libdir/kde3/libkhexedit2part.so
%_libdir/libkhexeditcommon.la
%_libdir/libkhexeditcommon.so.*

%files -n %lib_name-khexedit-devel
%defattr(-,root,root)
%_libdir/libkhexeditcommon.so


%files khexedit
%defattr(-,root,root)
%dir %_docdir/HTML/en/khexedit/
%doc %_docdir/HTML/en/khexedit/common
%doc %_docdir/HTML/en/khexedit/*.docbook
%doc %_docdir/HTML/en/khexedit/*.png
%doc %_docdir/HTML/en/khexedit/*.bz2
%_bindir/khexedit

%_datadir/services/khexedit2part.desktop
%_datadir/apps/khexedit2part/khexedit2partui.rc

%_menudir/kdeutils-khexedit

%dir %_datadir/apps/khexedit/pics/
%_datadir/apps/khexedit/pics/*.png

%dir %_datadir/apps/khexedit/
#%dir %_datadir/apps/khexedit/toolbar/
#%_datadir/apps/khexedit/toolbar/*.png
%_datadir/apps/khexedit/*.rc

%_datadir/applications/kde/khexedit.desktop       

%_iconsdir/crystalsvg/16x16/apps/khexedit.png
%_iconsdir/crystalsvg/32x32/apps/khexedit.png
%_iconsdir/crystalsvg/48x48/apps/khexedit.png


%_libdir/kde3/libkbyteseditwidget.la
%_libdir/kde3/libkbyteseditwidget.so

%_datadir/services/kbyteseditwidget.desktop

%files kcalc
%defattr(-,root,root)
%_bindir/kcalc

%_datadir/icons/crystalsvg/scalable/apps/kcalc.svgz

%_menudir/kdeutils-kcalc

%_libdir/kde3/kcalc.so
%_libdir/kde3/kcalc.la


%_datadir/config.kcfg/kcalc.kcfg
%dir %_datadir/apps/kcalc/
%_datadir/apps/kcalc/*.rc
%_datadir/apps/kconf_update/kcalcrc.upd

#
%dir %_docdir/HTML/en/kcalc/
%doc %_docdir/HTML/en/kcalc/common
%doc %_docdir/HTML/en/kcalc/*.docbook
%doc %_docdir/HTML/en/kcalc/*.txt
%doc %_docdir/HTML/en/kcalc/*.bz2
#

%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/kcalc.png

%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/kcalc.png

%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/kcalc.png

%_datadir/applications/kde/kcalc.desktop        

%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/kcalc.png

%files -n %lib_name-kcalc
%defattr(-,root,root)
%_libdir/libkdeinit_kcalc.la
%_libdir/libkdeinit_kcalc.so




%files kedit
%defattr(-,root,root)
%_bindir/kedit

%_menudir/kdeutils-kedit

%dir %_docdir/HTML/en/kedit/
%doc %_docdir/HTML/en/kedit/common
%doc %_docdir/HTML/en/kedit/*.docbook
%doc %_docdir/HTML/en/kedit/*.bz2
%dir %_datadir/apps/kedit/
%_datadir/apps/kedit/*.rc

%_datadir/config.kcfg/kedit.kcfg

#%dir %_datadir/applnk/Editors/
%_datadir/applications/kde/KEdit.desktop

%_iconsdir/crystalsvg/16x16/apps/kedit.png
%_iconsdir/crystalsvg/32x32/apps/kedit.png
%_iconsdir/crystalsvg/48x48/apps/kedit.png
%_iconsdir/crystalsvg/64x64/apps/kedit.png


%files -n %lib_name-kedit
%defattr(-,root,root)
%_libdir/kde3/kedit.la
%_libdir/kde3/kedit.so
%_libdir/libkdeinit_kedit.la
%_libdir/libkdeinit_kedit.so


%files ark
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ark/
%doc %_docdir/HTML/en/ark/common
%doc %_docdir/HTML/en/ark/*.docbook
%doc %_docdir/HTML/en/ark/*.bz2

%_datadir/icons/crystalsvg/scalable/apps/ark.svgz
%_menudir/kdeutils-ark
#
%_bindir/ark
%dir %_datadir/apps/
%dir %_datadir/apps/ark/
%_datadir/apps/ark/*.rc
#
%_datadir/applications/kde/ark.desktop          


%_libdir/kde3/ark.la
%_libdir/kde3/ark.so
%_libdir/kde3/libarkpart.la
%_libdir/kde3/libarkpart.so

%_datadir/config.kcfg/ark.kcfg

%dir %_datadir/apps/ark/icons/
%dir %_datadir/apps/ark/icons/crystalsvg/
%dir %_datadir/apps/ark/icons/crystalsvg/22x22/
%dir %_datadir/apps/ark/icons/crystalsvg/22x22/actions/
%_datadir/apps/ark/icons/crystalsvg/22x22/actions/*.png

%_iconsdir/crystalsvg/16x16/apps/ark.png
%_iconsdir/crystalsvg/32x32/apps/ark.png
%_iconsdir/crystalsvg/48x48/apps/ark.png
%_iconsdir/crystalsvg/64x64/apps/ark.png
%_iconsdir/crystalsvg/128x128/apps/ark.png

%_datadir/apps/ark/icons/crystalsvg/32x32/actions/ark_adddir.png
%_datadir/apps/ark/icons/crystalsvg/32x32/actions/ark_addfile.png
%_datadir/apps/ark/icons/crystalsvg/32x32/actions/ark_delete.png
%_datadir/apps/ark/icons/crystalsvg/32x32/actions/ark_extract.png
%_datadir/apps/ark/icons/crystalsvg/32x32/actions/ark_view.png

%_datadir/services/ark_part.desktop

%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
#%_datadir/apps/konqueror/servicemenus/arkservicemenu.desktop
#%_datadir/apps/konqueror/servicemenus/ark_directory_service.desktop

%files -n %lib_name-ark
%defattr(-,root,root)
%_libdir/libkdeinit_ark.la
%_libdir/libkdeinit_ark.so


%files -n %lib_name-common
%defattr(-,root,root)




%_libdir/libkregexpeditorcommon.la
%_libdir/libkregexpeditorcommon.so.*

%_libdir/libkdeinit_irkick.la
%_libdir/libkdeinit_irkick.so
	  
%_libdir/kde3/libkregexpeditorgui.so
%_libdir/kde3/kcharselect_panelapplet.so

%_libdir/kde3/libkregexpeditorgui.la
%_libdir/kde3/kcharselect_panelapplet.la



%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*.h

%_libdir/libkregexpeditorcommon.so



%changelog
* Mon Sep 12 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-12 08:39:47 (881)
- Sync with svn

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-09 11:33:23 (864)
- Rebuild

* Tue Aug 30 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-30 11:46:57 (772)
- Fix compile on x86_64

* Wed Aug 03 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-03 04:57:57 (512)
- Oops missing it

* Wed Aug 03 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-03 04:54:01 (511)
- Remove debug
  Fix kfloppy with udev

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-22 06:11:45 (409)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 19:51:46 (126)
- Uploading package ./kdeutils

%changelog
* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Add patch25: fix launch irck (bug found by Arnaud De Lorbeau)

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Reactivate -fvisibility same as for ppc 

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Disable patch 6 to allow to use klirc

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix kregexpeditor icon menu

* Thu Apr 14 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Try to re-enable visibility (test ksim)

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Enable debug
- Fix email
- --enable-new-ldflags

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Disable visibility to fix crash in ksim

* Fri Apr 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch25: fix kloppy + udev MDK bug #15156

* Sun Feb 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Add patch24: fix kgpg fix kde bug #88414

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Sync with CVS (fix calc)

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix visibility into kmilo

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Disable debug

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch23: fix kcalc kde bug #98522

* Thu Feb 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch21: fix kgpg kde bug #76427
- Add patch22: fix kgpg kde bug #87469

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Fix generated menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Disable visibility for ppc 

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Rebuild for missing package

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch20: fix ark kde bug #95386

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Against other fix KDE_EXPORT

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch19: fix klaptop "do not allow to overwrite files outside /proc" 

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add function to disable visibility

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Now it supported -fvisibility

* Thu Dec 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Fix bug found by Pascal Terjan (klaptop provided kdeutils :'((

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch19: fix kgpg shredder icons

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add patch18: fix kdf kde bug #94774

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix generate menu (mdk bug #9775)

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Fix kfloppy with udev

* Tue Nov 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Fix build on x86_64 patch from (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>) 

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Remove %%buildfor

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix requires tcptl

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix menu entry
- Fix thinkpad lib

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Update from kde3.3 branch

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Don't strip klaptop_acpi_helper

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-25mdk
- Add patch16: fix kdf backgound

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-24mdk
- Remove kwiskdisk from autostart use kdebase to init it

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-23mdk
- Autostart kwikdisk

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-22mdk
- Sync with CVS (kcalc fix BUG 74657 BUG 78726)

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-21mdk
- Add patch15: fix kcalc kde bug 81485 "Enable/disable "MR" depending if 
				there is a value in memory or not"

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-20mdk
- Update kcmlaptoprc (file from Erwan)

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-19mdk
- Add patch14: fix kcalc kde bug #74657

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-18mdk
- Add requires on cpufreq for klaptop

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-17mdk
- Add default config for kcmlaptop

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Add patch12: fix kfloppy progressbar
- Add patch13: fix kfloppy "Fix ext2 formatting (missing device name)"

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- Split klaptop

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Fix menu

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch11: fix kfloppy kde bug #81545 "(msdos or ext2) work after
											the low-level formatting."

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch10: fix kloppy "360KB has only 40 tracks (see /etc/fdprm)"

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch9: fix kgpg mem leak

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Fix buildrequires

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Sync with CVS fix klatopdemon

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Sync with CVS

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix remove rpath

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Add patch7 fix kchartselect applet bug kde #58820

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Add patch6 fix kdelirc devices fix MDK kde bug #9973

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdelibs

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add patch5: fix ark open recent action

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix obsolete

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Add patch4: fix ark

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Rebuild

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- kde 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-19mdk
- Use %%configure
- Use mdkverion
- Add support for 10.1

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-18mdk
- Add patch1: fix kgpg "Fix popup not disappearing after failed key creation"
- Add patch3: don't compress a device
- Add patch4: don't enscrypt a device
- Add patch5: fix kgpg #75440

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-17mdk
- buildrequires, make it lib64 aware (patch from Gb)

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-16mdk
- Sync (kgpg focus problem)

* Wed Feb 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Fix #8367

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Fix ksim translation

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Sync (kgpg/kcharselect bug)

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Sync with CVS (kgpg crash)
- Fix menu entry

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Fix menu entries

* Tue Feb 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix kdepasswd bug

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Sync with CVS (fix kgpg)
- Fix buildrequires (use kdelibs >= 3.2-13mdk)


* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync with CVS (fix khexedit)

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix session)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix icon

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Add url tag
- Fix "menu-withour-postin"

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Fix pb in spec file (distint)
- Sync with CVS (fix kcalc)

* Fri Feb 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix kgpg)

* Fri Feb 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix kcalc menu

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change name version

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Fix menu entry

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- Fix requires found by Nicolas Chipaux

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Sync with CVS

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Sync with CVS
- Add missing menu entry

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Reverte VFolder menu type to 'menu' menu type

* Tue Jan 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS 

* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Tue Dec 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta2 (from cvs)
- Fix group
- Fix typo

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix menu

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix menu

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix compile with Mandrake-release

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- Beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-11mdk
- Sync with CVS

* Thu Oct 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Sync with CVS

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVs 

* Wed Oct 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Thu Oct 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Fix spec file

* Wed Oct 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Update from CVS

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Fix spec file

* Thu Sep 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Mon Sep 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-3mdk
- Fix spec file

* Sat Sep 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- enable-debug
- support for MDK9.3
- Reactivate mdk menu

* Wed Sep 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix install

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Move kdf applet on kdeutils-kdf

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Move kwitdisk in Applications/Monitoring

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Apply patch from (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix provides/requires/obsolete

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Fix description

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Fix Provide/Obsoletes

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix kde menu entry + split

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Fix provides

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Split
- Fix provide/obsolete

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix generate menu entry

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split split split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Split again

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Split again

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- splut

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Add patch10 : fix undo/redo bug in kedit (bug found by David Baudens)

* Wed Jul 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Libification
- Add patch9 fix compile

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Mon Jul 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Clean a little spec file

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Fix spec file

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Fix kcalc layout

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Sync with kde_3_1_branch

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Fri Mar 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch9-10 : fix ksim crash when partition size is null as /dev etc.

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix ark, kcalc )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( fix ark )

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix some bugs )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix kcalc)

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kdf

* Mon Feb 10 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-3mdk
- Fix menu entry for Kcalc

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch9: fix DoS on kedit /dev/zero

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch9 : fix crash in kregexpeditor.

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix use apm on ix86 and ppc not ix64 etc...

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- fix description : thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- RC2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Move kcalc to Office/Accessories

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch8 : fix kedit enable/disable cut/copy action

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch7 : fix kdf mem leak

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch6 : used klineeditdlg in kregexeditor

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix mem leak in klaptopdeamon
- Add patch4 : fix second mem leak in klaptopdeamon
- Add patch5 : fix third mem leak in klaptodeamon

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against new gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>  lib64 fixes
- Remove debuggage

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add patch2 : fix kcalc : use backspace and display value ==0.000...

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc-3.2
- Add  Patch1 patch for ix64

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild against libstdc++

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix menu

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdeutils

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remobe 'fomit-frame-pointer'

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.5mdk
- Oops, fix previous changelogs

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
